Models - Get Base Model Manifest
Returns an manifest for this base model which can be used in an on-premise container.
GET {endpoint}/speechtotext/models/base/{id}/manifest?sasLifetimeMinutes={sasLifetimeMinutes}&api-version=2025-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
id
|
path | True |
string (uuid) |
The ID of the model to generate a manifest for. |
|
api-version
|
query | True |
string |
The requested api version. |
|
sas
|
query | True |
integer (int32) |
The duration in minutes that an SAS url should be valid. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Provide your cognitive services account key here. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully generated a model manifest. |
|
| Other Status Codes |
An error occurred. |
Security
Ocp-Apim-Subscription-Key
Provide your cognitive services account key here.
Type:
apiKey
In:
header
Examples
Get a base model manifest
Sample request
GET {endpoint}/speechtotext/models/base/827712a5-f942-4997-91c3-7c6cde35600b/manifest?sasLifetimeMinutes=360&api-version=2025-10-15
Sample response
{
"model": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/02231df2-012f-45d4-9af0-8a3e4ccc877c?api-version=2025-10-15"
},
"modelFiles": [
{
"name": "0_EN_US_V4.14_UNI/adaptedPrepAM/model.fe",
"contentUrl": "https://https://customspeech-usw.blob.core.windows.net/models/0_EN_US_V4.14_UNI/adaptedPrepAM/model.fe?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
},
{
"name": "0_EN_US_V4.14_UNI/graphV2/base.lms",
"contentUrl": "https://customspeech-usw.blob.core.windows.net/models/0_EN_US_V4.14_UNI/graphV2/base.lms?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
},
{
"name": "02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.lms",
"contentUrl": "https://customspeech-usw.blob.core.windows.net/models/02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.lms?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
},
{
"name": "02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.i1.hclg",
"contentUrl": "https://customspeech-usw.blob.core.windows.net/models/02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.i1.hclg?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
},
{
"name": "02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.i1.lms",
"contentUrl": "https://customspeech-usw.blob.core.windows.net/models/02231df2-012f-45d4-9af0-8a3e4ccc877c/graphV2/custom.i1.lms?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
},
{
"name": "0_EN_US_V4.14_UNI/adaptedPrepAM/model.dbn.am",
"contentUrl": "https://customspeech-usw.blob.core.windows.net/models/0_EN_US_V4.14_UNI/adaptedPrepAM/model.dbn.am?sv=2017-04-17&sr=b&sig=*****%3D&st=2019-01-09T15:56:05Z&se=2019-01-16T16:01:05Z&sp=rl"
}
],
"properties": {
"IN_FESpec": "audio(%MODELSPATH%0_EN_US_V4.14_UNI/adaptedPrepAM/model.fe,8kHz16kHzLFB80EnergyMLPVADRuntime)",
"IN_DNNSpec": "dnn_spec(%MODELSPATH%0_EN_US_V4.14_UNI/adaptedPrepAM/model.dbn.am,40,20),allValidInUtt(1),frameCopyCount(1),resetOnSegmentation(1)",
"IN_HCLGSpecBase": "interpolated_lm_base(%MODELSPATH%0_EN_US_V4.14_UNI/graphV2/base.lms)",
"IN_HCLGSpec": "interpolated_lm_custom(0.9,%MODELSPATH%fc4fecb3-791a-4c47-88c0-043be3d4967e/graphV2/custom.i1.hclg,%MODELSPATH%fc4fecb3-791a-4c47-88c0-043be3d4967e/graphV2/custom.i1.lms,%MODELSPATH%fc4fecb3-791a-4c47-88c0-043be3d4967e/graphV2/custom.lms)",
"IN_BeamSize": 5000,
"IN_BeamThreshold": 190,
"IN_NBestBeamSize": 1
}
}
Definitions
| Name | Description |
|---|---|
|
Detailed |
DetailedErrorCode |
|
Entity |
EntityReference |
| Error |
Error |
|
Error |
ErrorCode |
|
Inner |
InnerError |
|
Model |
ModelFile |
|
Model |
ModelManifest |
DetailedErrorCode
DetailedErrorCode
| Value | Description |
|---|---|
| InvalidParameterValue |
Invalid parameter value. |
| InvalidRequestBodyFormat |
Invalid request body format. |
| EmptyRequest |
Empty Request. |
| MissingInputRecords |
Missing Input Records. |
| InvalidDocument |
Invalid Document. |
| ModelVersionIncorrect |
Model Version Incorrect. |
| InvalidDocumentBatch |
Invalid Document Batch. |
| UnsupportedLanguageCode |
Unsupported language code. |
| DataImportFailed |
Data import failed. |
| InUseViolation |
In use violation. |
| InvalidLocale |
Invalid locale. |
| InvalidBaseModel |
Invalid base model. |
| InvalidAdaptationMapping |
Invalid adaptation mapping. |
| InvalidDataset |
Invalid dataset. |
| InvalidTest |
Invalid test. |
| FailedDataset |
Failed dataset. |
| InvalidModel |
Invalid model. |
| InvalidTranscription |
Invalid transcription. |
| InvalidPayload |
Invalid payload. |
| InvalidParameter |
Invalid parameter. |
| EndpointWithoutLogging |
Endpoint without logging. |
| InvalidPermissions |
Invalid permissions. |
| InvalidPrerequisite |
Invalid prerequisite. |
| InvalidProductId |
Invalid product id. |
| InvalidSubscription |
Invalid subscription. |
| InvalidProject |
Invalid project. |
| InvalidProjectKind |
Invalid project kind. |
| InvalidRecordingsUri |
Invalid recordings uri. |
| OnlyOneOfUrlsOrContainerOrDataset |
Only one of urls or container or dataset. |
| ExceededNumberOfRecordingsUris |
Exceeded number of recordings uris. |
| InvalidChannels |
Invalid channels. |
| ModelMismatch |
Model mismatch. |
| ProjectGenderMismatch |
Project gender mismatch. |
| ModelDeprecated |
Model deprecated. |
| ModelExists |
Model exists. |
| ModelNotDeployable |
Model not deployable. |
| EndpointNotUpdatable |
Endpoint not updatable. |
| SingleDefaultEndpoint |
Single default endpoint. |
| EndpointCannotBeDefault |
Endpoint cannot be default. |
| InvalidModelUri |
Invalid model uri. |
| SubscriptionNotFound |
Subscription not found. |
| QuotaViolation |
Quota violation. |
| UnsupportedDelta |
Unsupported delta. |
| UnsupportedFilter |
Unsupported filter. |
| UnsupportedPagination |
Unsupported pagination. |
| UnsupportedDynamicConfiguration |
Unsupported dynamic configuration. |
| UnsupportedOrderBy |
Unsupported order by. |
| NoUtf8WithBom |
No utf8 with bom. |
| ModelDeploymentNotCompleteState |
Model deployment not complete state. |
| SkuLimitsExist |
Sku limits exist. |
| DeployingFailedModel |
Deploying failed model. |
| UnsupportedTimeRange |
Unsupported time range. |
| InvalidLogDate |
Invalid log date. |
| InvalidLogId |
Invalid log id. |
| InvalidLogStartTime |
Invalid log start time. |
| InvalidLogEndTime |
Invalid log end time. |
| InvalidTopForLogs |
Invalid top for logs. |
| InvalidSkipTokenForLogs |
Invalid skip token for logs. |
| DeleteNotAllowed |
Delete not allowed. |
| Forbidden |
Forbidden. |
| DeployNotAllowed |
Deploy not allowed. |
| UnexpectedError |
Unexpected error. |
| InvalidCollection |
Invalid collection. |
| InvalidCallbackUri |
Invalid callback uri. |
| InvalidSasValidityDuration |
Invalid sas validity duration. |
| InaccessibleCustomerStorage |
Inaccessible customer storage. |
| UnsupportedClassBasedAdaptation |
Unsupported class based adaptation. |
| InvalidWebHookEventKind |
Invalid web hook event kind. |
| InvalidTimeToLive |
Invalid time to live. |
| InvalidSourceAzureResourceId |
Invalid source Azure resource ID. |
| ModelCopyAuthorizationExpired |
Expired ModelCopyAuthorization. |
| EndpointLoggingNotSupported |
Endpoint logging not supported. |
| NoLanguageIdentified |
Language Identification did not recognize any language. |
| MultipleLanguagesIdentified |
Language Identification recognized multiple languages. No dominant language could be determined. |
| InvalidAudioFormat |
The format of input audio is not supported. |
| BadChannelConfiguration |
There is a mismatch between audio channels in the data, in the configuration, or the requirements of the application. |
| InvalidChannelSpecification |
The selection of channels in the transcription request is not supported (e.g., neither 0 nor 1 have been selected.) |
| AudioLengthLimitExceeded |
The audio file is longer than the maximum allowed duration. |
| EmptyAudioFile |
The audio file is empty. |
EntityReference
EntityReference
| Name | Type | Description |
|---|---|---|
| self |
string (uri) |
The location of the referenced entity. |
Error
Error
| Name | Type | Description |
|---|---|---|
| code |
ErrorCode |
|
| details |
Error[] |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ErrorCode
ErrorCode
| Value | Description |
|---|---|
| InvalidRequest |
Representing the invalid request error code. |
| InvalidArgument |
Representing the invalid argument error code. |
| InternalServerError |
Representing the internal server error error code. |
| ServiceUnavailable |
Representing the service unavailable error code. |
| NotFound |
Representing the not found error code. |
| PipelineError |
Representing the pipeline error error code. |
| Conflict |
Representing the conflict error code. |
| InternalCommunicationFailed |
Representing the internal communication failed error code. |
| Forbidden |
Representing the forbidden error code. |
| NotAllowed |
Representing the not allowed error code. |
| Unauthorized |
Representing the unauthorized error code. |
| UnsupportedMediaType |
Representing the unsupported media type error code. |
| TooManyRequests |
Representing the too many requests error code. |
| UnprocessableEntity |
Representing the unprocessable entity error code. |
InnerError
InnerError
| Name | Type | Description |
|---|---|---|
| code |
DetailedErrorCode |
|
| details |
object |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ModelFile
ModelFile
| Name | Type | Description |
|---|---|---|
| contentUrl |
string (uri) |
The url to retrieve the content of this file. |
| name |
string |
The name of this file. |
ModelManifest
ModelManifest
| Name | Type | Description |
|---|---|---|
| model |
EntityReference |
|
| modelFiles |
The model files of this model. |
|
| properties |
|
The configuration for running this model in a container. |